> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/intro/operator/operator_vergleich.md).

# Relational Operators

You use relational operators or relations to compare two values of the same [data type](/acron-9.3/en/intro/datentypen.md). The result of the comparison depends on whether or not the selected relation applies to the two values.

The [return value](/acron-9.3/en/intro/funktionen/rueckgabewert.md) of the relational operators is always of data type [BOOL](/acron-9.3/en/intro/datentypen.md).

The Formula Editor provides the following relational operators:

| Operator | Meaning                                       | Data types               |
| -------- | --------------------------------------------- | ------------------------ |
| >        | [Greater than](#op_greater)                   | NUMBER, DATETIME, STRING |
| >=       | [Greater than or equal to](#op_greater_equal) | NUMBER, DATETIME, STRING |
| <        | [Less than](#op_less)                         | NUMBER, DATETIME, STRING |
| <=       | [Less than or equal to](#op_less_equal)       | NUMBER, DATETIME, STRING |
| ==       | [Equal to](#op_equal)                         | NUMBER, DATETIME, STRING |
| =        | [Equal to](#op_equal)                         | NUMBER, DATETIME, STRING |
| !=       | [Not equal to](#op_not_equal)                 | NUMBER, DATETIME, STRING |
| <>       | [Not equal to](#op_not_equal)                 | NUMBER, DATETIME, STRING |

## Relation Greater than (>) <a href="#op_greater" id="op_greater"></a>

|               |                                                                                                                                                                                                      |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand > Operand                                                                                                                                                                                    |
| Data types:   | NUMBER, DATETIME, STRING                                                                                                                                                                             |
| Return value: | BOOL                                                                                                                                                                                                 |
| Description:  | Checks whether the value of the first operand is greater than the value of the second operand. The result is TRUE if the value of the first operand is greater than the value of the second operand. |

## Relation Greater than or equal to (>=) <a href="#op_greater_equal" id="op_greater_equal"></a>

|               |                                                                                                                                                                                                                              |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand >= Operand                                                                                                                                                                                                           |
| Data types:   | NUMBER, DATETIME, STRING                                                                                                                                                                                                     |
| Return value: | BOOL                                                                                                                                                                                                                         |
| Description:  | Checks whether the value of the first operand is greater than or equal to the value of the second operand. The result is TRUE if the value of the first operand is greater than or equal to the value of the second operand. |

## Relation Less than (<) <a href="#op_less" id="op_less"></a>

|               |                                                                                                                                                                                                |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand < Operand                                                                                                                                                                              |
| Data types:   | NUMBER, DATETIME, STRING                                                                                                                                                                       |
| Return value: | BOOL                                                                                                                                                                                           |
| Description:  | Checks whether the value of the first operand is less than the value of the second operand. The result is TRUE if the value of the first operand is less than the value of the second operand. |

## Relation Less than or equal to (<=) <a href="#op_less_equal" id="op_less_equal"></a>

|               |                                                                                                                                                                                                                        |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand <= Operand                                                                                                                                                                                                     |
| Data types:   | NUMBER, DATETIME, STRING                                                                                                                                                                                               |
| Return value: | BOOL                                                                                                                                                                                                                   |
| Description:  | Checks whether the value of the first operand is less than or equal to the value of the second operand. The result is TRUE if the value of the first operand is less than or equal to the value of the second operand. |

## Relation Equal to (== or =) <a href="#op_equal" id="op_equal"></a>

|               |                                                                                                                                                                                      |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Syntax:       | Operand == Operand                                                                                                                                                                   |
| Data types:   | NUMBER, DATETIME, STRING                                                                                                                                                             |
| Return value: | BOOL                                                                                                                                                                                 |
| Description:  | Checks whether both operands have the same values. The result is TRUE if the values of the two operands are equal. If the values of the operands are different, the result is FALSE. |

## Relation Not equal to (!= or <>) <a href="#op_not_equal" id="op_not_equal"></a>

|               |                                                                                                                                                                                          |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand != Operand                                                                                                                                                                       |
| Data types:   | NUMBER, DATETIME, STRING                                                                                                                                                                 |
| Return value: | BOOL                                                                                                                                                                                     |
| Description:  | Checks whether the two operands have unequal values. The result is TRUE if the values of the two operands are unequal. If the values of the operands are identical, the result is FALSE. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/intro/operator/operator_vergleich.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
